Get itemized costs by deployments. Currently unavailable in self-hosted ECE.
https://api.elastic-cloud.com/api/v1
- GET /billing/costs/{organization_id}/deployments/{deployment_id}/items
Retrieves the itemized costs for the given deployment.
Path Parameters
-
organization_idstringrequired -
Identifier for the organization
-
deployment_idstringrequired -
Id of a Deployment
Responses
The costs associated to a set items billed for a single deployment.
-
costsCostsrequired -
Costs overview for an organization. All of the costs, credits, trials are expressed in Elastic Consumption Unit (ECU).
-
totalnumberrequired -
Total costs
-
dimensionsDimensionrequired -
A collection of billing details by dimension.
-
data_transfer_and_storageDtsDimensionCostsrequired -
List of the detailed costs associated to the Data Transfer and Storage (DTS) dimensions
-
costnumberrequired -
Costs associated to the Data Transfer and Storage (DTS) dimensions for an organization
-
namestringrequired -
DTS dimension name
-
quantityDtsQuantityrequired -
DTS quantity
-
valueintegerrequired -
Raw quantity
-
formatted_valuestringrequired -
Quantity in human readable format
-
rateDtsRaterequired -
DTS Rate
-
valuenumberrequired -
Raw rate
-
formatted_valuestringrequired -
Rate in human readable format
-
skustringrequired -
DTS dimension Stock Keeping Unit (SKU)
-
typestringrequired -
Type of the DTS dimension usage
-
resourcesItemCostsrequired -
Costs of the list of resources
-
hoursintegerrequired -
Resource usage in hours
-
instance_countintegerrequired -
Number of instances
-
kindrequired -
Kind of resource
-
Values:
elasticsearchkibanaapmintegrations_serverappsearchenterprise_search -
pricenumberrequired -
Resource price
-
price_per_hournumberrequired -
Price per hour
-
namestringrequired -
Resource name
-
skustringrequired -
Stock Keeping Unit (SKU)
The specified date range is invalid. (code: costs.invalid_date_range)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
The current user does not have access to the requested organization. (code: organization.invalid_access)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
- The organization was not found. (code:
organization.not_found) - The Elasticsearch cluster was not found. (code:
billing_service.es_cluster_id_not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
An error occurred when fetching the itemized costs for the given deployment of the organization. (code: billing_service.failed_request)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response